com.jscape.inet.sftp.events

## Class SftpCreateDirEvent

- java.lang.Object
- - com.jscape.inet.sftp.events.SftpEvent
  - - com.jscape.inet.sftp.events.SftpCreateDirEvent

-     public class SftpCreateDirEvent
      extends SftpEvent

  This event is fired when a directory is created on the server.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SftpCreateDirEvent(Sftp source, java.lang.String directory, java.lang.String path)` Creates a new SftpCreateDirEvent instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(SftpListener listener)` The "backwards dispatching" support.
    `java.lang.String` | `getDirectory()` Gets the name of the directory created.
    `java.lang.String` | `getPath()` Gets the remote directory path this directory was created from

    - ### Methods inherited from class com.jscape.inet.sftp.events.SftpEvent

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SftpCreateDirEvent

          public SftpCreateDirEvent(Sftp source,
                                    java.lang.String directory,
                                    java.lang.String path)

      Creates a new SftpCreateDirEvent instance.
      Parameters:
        `source` - the source of this event
        `directory` - the directory created
        `path` - the remote directory path this directory was created from

  - ### Method Detail

    - #### getDirectory

          public java.lang.String getDirectory()

      Gets the name of the directory created.
      Returns:
        the directory created

    - #### getPath

          public java.lang.String getPath()

      Gets the remote directory path this directory was created from
      Returns:
        the remote directory path

    - #### accept

          public void accept(SftpListener listener)

      The "backwards dispatching" support.
      Specified by:
        `accept` in class `SftpEvent`
      Parameters:
        `listener` - the event listener

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved